Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface LogServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface LogServiceConfig
extends PropertiesAccess, Container, ConfigElement

Configuration for the <log-service> element.

See Also:
  `ModuleLogLevelsConfigKeys`

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Method Summary
`ModuleLogLevelsConfig` | `createModuleLogLevelsConfig(java.util.Map params)` Creates new module-log-levels element.
`boolean` | `getAlarms()`
`java.lang.String` | `getFile()`
`java.lang.String` | `getLogFilter()`
`java.lang.String` | `getLogHandler()`
`java.lang.String` | `getLogRotationLimitInBytes()`
`boolean` | `getLogToConsole()`
`ModuleLogLevelsConfig` | `getModuleLogLevelsConfig()` Get the ModuleLogLevelsConfig MBean.
`boolean` | `getUseSystemLogging()`
`void` | `removeModuleLogLevelsConfig()` Removes module-log-levels element.
`void` | `setAlarms(boolean value)`
`void` | `setFile(java.lang.String value)`
`void` | `setLogFilter(java.lang.String value)`
`void` | `setLogHandler(java.lang.String value)`
`void` | `setLogRotationLimitInBytes(java.lang.String value)`
`void` | `setLogToConsole(boolean value)`
`void` | `setUseSystemLogging(boolean value)`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAlarms

    public boolean getAlarms()

### setAlarms

    public void setAlarms(boolean value)

### getFile

    public java.lang.String getFile()

### setFile

    public void setFile(java.lang.String value)

### getLogFilter

    public java.lang.String getLogFilter()

### setLogFilter

    public void setLogFilter(java.lang.String value)

### getLogHandler

    public java.lang.String getLogHandler()

### setLogHandler

    public void setLogHandler(java.lang.String value)

### getLogRotationLimitInBytes

    public java.lang.String getLogRotationLimitInBytes()

### setLogRotationLimitInBytes

    public void setLogRotationLimitInBytes(java.lang.String value)

### getLogToConsole

    public boolean getLogToConsole()

### setLogToConsole

    public void setLogToConsole(boolean value)

### getUseSystemLogging

    public boolean getUseSystemLogging()

### setUseSystemLogging

    public void setUseSystemLogging(boolean value)

### createModuleLogLevelsConfig

    public ModuleLogLevelsConfig createModuleLogLevelsConfig(java.util.Map params)

  Creates new module-log-levels element.

  Parameters:
    `params` - Map of optional attributes whose keys are defined in ModuleLogLevelsParams class.
  Returns:
    A proxy to the ModuleLogLevelsConfig MBean.
  See Also:
    `ModuleLogLevelsConfigKeys`

### removeModuleLogLevelsConfig

    public void removeModuleLogLevelsConfig()

  Removes module-log-levels element.

### getModuleLogLevelsConfig

    public ModuleLogLevelsConfig getModuleLogLevelsConfig()

  Get the ModuleLogLevelsConfig MBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.